The account and scopes behind the calling credential.
curl --request GET \
--url https://api.symbiosis.markets/auth/whoami \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/auth/whoami"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/auth/whoami', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"scopes": [
"<string>"
],
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_key_id": "<string>"
}Auth
The account and scopes behind the calling credential.
Accepts a session or an API key and requires no scope.
GET
/
auth
/
whoami
The account and scopes behind the calling credential.
curl --request GET \
--url https://api.symbiosis.markets/auth/whoami \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/auth/whoami"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/auth/whoami', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"scopes": [
"<string>"
],
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_key_id": "<string>"
}Authorizations
SessionBearerApiKeyHmac & HmacTimestamp & HmacSignature
Session token from POST /auth/login.
Response
The account and credential behind a request.